{ pkgs, ... }: {
  # Set power settings for my laptop cpu
  systemd.services.ryzenadj = {
    enable = true;
    description = "Set my ryzen cpu power.";
    serviceConfig = {
      Type = "oneshot";
      ExecStart = toString (pkgs.writeShellScript "ryzenadj-setup" ''
        ${pkgs.ryzenadj}/bin/ryzenadj --stapm-limit 35000 --fast-limit 35000 --slow-limit 35000 --slow-time 60 --stapm-time 1000 --tctl-temp 80 --vrmmax-current 60000
      '');
    };
    wantedBy = [ "default.target" ];
  };
}
